Subject: Re: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: Van Ly <[email-masked]>
Date: Mon, 02 Dec 2024 15:47:35 +0000

martin rudalics <[email-masked]> writes:

>  > The puzzle is why having only F11 `fullboth' fullscreens will shift the
>  > bottom edge up by 8 pixels on CTWM restart.
>
> So I see two problems we have to investigate:
>
> - The fullscreen parameters are reset when restarting CWTM regardless of
>    whether the frame was maximized or fullboth.  This means that when you
>    do F11, restart CWTM and do F11 again the frame will become fullscreen
>    again.  Right?

Yes.

> - The size of fullscreen frames shrinks by 8 pixels unless there is a
>    maximized frame present.

That was the case when I was evaluating those expressions.  But, now
fullboth and maximized frames will adjust up the bottom edge by 8
pixels.

> IIUC you are using Lucid.  Now in xterm.c there are three instances of
>
> store_frame_param (f, Qfullscreen, lval);
>
> Can you put a breakpoint on each of them, ideally conditioned on lval
> equaling Qnil, restart CWTM and post a backtrace of whatever happens.
> I'd like to find out what kind of event makes us reset the parameter.

I pieced together the following steps to make emacs debuggable.  I'll
need pointers to info pages to make progress.

  a.  make distclean
  b.  configure ... 'CFLAGS=-g3 -ggdb -Og ...'
  c.  make

  i.  start, emacs -Q
  ii. use, M-x gdb

   1  For help, type "help".
   2  Type "apropos word" to search for commands related to "word"...
   3  "0x7f7fff604da0s": not in executable format: file format not recognized
   4  No symbol table is loaded.  Use the "file" command.
   5  Breakpoint 1 (xterm.c:18044) pending.
   6  No symbol table is loaded.  Use the "file" command.
   7  Breakpoint 2 (xterm.c:28275) pending.
   8  No symbol table is loaded.  Use the "file" command.
   9  Breakpoint 3 (xterm.c:28343) pending.
  10  (gdb) run
  11  The target does not support running in non-stop mode.

-- 
vl